com.ihr.xbrl.util.workbooks

## Class SheetPointAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.util.workbooks.SheetPointException
      - - com.ihr.xbrl.util.workbooks.SheetPointAccessException

- All Implemented Interfaces:
    java.io.Serializable

      public class SheetPointAccessException
      extends SheetPointException

  Generated when the cell pointed to by the SheetPoint cannot be referenced because the cell does not exists or any other problem with the cell content
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetPointAccessException(java.lang.String message, SheetPoint sp)` Instantiates a new sheet point access exception.
    `SheetPointAccessException(java.lang.String message, SheetPoint sp, java.lang.Throwable cause)` Instantiates a new sheet point access exception.

  - ### Method Summary

    - ### Methods inherited from class com.ihr.xbrl.util.workbooks.SheetPointException

      `getSheetPoint`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SheetPointAccessException

          public SheetPointAccessException(java.lang.String message,
                                   SheetPoint sp)

      Instantiates a new sheet point access exception.
      Parameters:
        `message` - the message
        `sp` - the sp

    - #### SheetPointAccessException

          public SheetPointAccessException(java.lang.String message,
                                   SheetPoint sp,
                                   java.lang.Throwable cause)

      Instantiates a new sheet point access exception.
      Parameters:
        `message` - the message
        `sp` - the sp
        `cause` - the cause